## r-bioc-tximeta 1.12.4+dfsg

=== DESCRIPTION ===
Package: tximeta
Version: 1.12.4
Title: Transcript Quantification Import with Automatic Metadata
Description: Transcript quantification import from Salmon and
    alevin with automatic attachment of transcript ranges and
    release information, and other associated metadata. De novo
    transcriptomes can be linked to the appropriate sources with
    linkedTxomes and shared for computational reproducibility.
Authors@R: c(
    person("Michael", "Love", email="michaelisaiahlove@gmail.com", role = c("aut","cre")),
    person("Charlotte", "Soneson", role = c("aut","ctb")),
    person("Peter", "Hickey", role = c("aut","ctb")),
    person("Rob", "Patro", role = c("aut","ctb")),
    person("NIH NHGRI", role="fnd"),
    person("CZI", role="fnd")
    )
Maintainer: Michael Love <michaelisaiahlove@gmail.com>
License: GPL-2
VignetteBuilder: knitr
Imports: SummarizedExperiment, tximport, jsonlite, S4Vectors, IRanges,
        GenomicRanges, AnnotationDbi, GenomicFeatures, ensembldb,
        BiocFileCache, AnnotationHub, Biostrings, tibble, GenomeInfoDb,
        tools, utils, methods, Matrix
Suggests: knitr, rmarkdown, testthat, tximportData, org.Dm.eg.db,
        DESeq2, edgeR, limma, devtools
URL: https://github.com/mikelove/tximeta
biocViews: Annotation, GenomeAnnotation, DataImport, Preprocessing,
        RNASeq, SingleCell, Transcriptomics, Transcription,
        GeneExpression, FunctionalGenomics, ReproducibleResearch,
        ReportWriting, ImmunoOncology
RoxygenNote: 7.1.2
Encoding: UTF-8
git_url: https://git.bioconductor.org/packages/tximeta
git_branch: RELEASE_3_14
git_last_commit: 78d1a79
git_last_commit_date: 2021-12-20
Date/Publication: 2021-12-21
NeedsCompilation: no
Packaged: 2021-12-21 11:03:48 UTC; biocbuild
Author: Michael Love [aut, cre],
  Charlotte Soneson [aut, ctb],
  Peter Hickey [aut, ctb],
  Rob Patro [aut, ctb],
  NIH NHGRI [fnd],
  CZI [fnd]

=== debian/changelog ===
r-bioc-tximeta (1.12.4+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Provide autopkgtest-pkg-r.conf to make sure testthat will be found
  * Drop debian/tests/control and rely on autopkgtest-pkg-r

 -- Andreas Tille <tille@debian.org>  Sat, 01 Jan 2022 09:20:46 +0100

r-bioc-tximeta (1.12.4+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sat, 01 Jan 2022 08:39:25 +0100

r-bioc-tximeta (1.12.3+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Steffen Moeller <moeller@debian.org>  Thu, 18 Nov 2021 21:35:34 +0100

r-bioc-tximeta (1.10.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Tue, 28 Sep 2021 18:35:02 +0200

r-bioc-tximeta (1.10.0+dfsg-1) unstable; urgency=medium

  * Initial release (closes: #994680)

 -- Nilesh Patra <nilesh@debian.org>  Sun, 19 Sep 2021 16:31:13 +0530

=== debian/control ===
Source: r-bioc-tximeta
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Nilesh Patra <nilesh@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-summarizedexperiment,
               r-bioc-tximport,
               r-cran-jsonlite,
               r-bioc-s4vectors,
               r-bioc-iranges,
               r-bioc-genomicranges,
               r-bioc-annotationdbi,
               r-bioc-genomicfeatures,
               r-bioc-ensembldb,
               r-bioc-biocfilecache,
               r-bioc-annotationhub,
               r-bioc-biostrings,
               r-cran-tibble,
               r-bioc-genomeinfodb,
               r-cran-matrix
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-tximeta
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-tximeta.git
Homepage: https://bioconductor.org/packages/tximeta/
Rules-Requires-Root: no

Package: r-bioc-tximeta
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Transcript Quantification Import with Automatic Metadata
 Transcript quantification import from Salmon and
 alevin with automatic attachment of transcript ranges and
 release information, and other associated metadata. De novo
 transcriptomes can be linked to the appropriate sources with
 linkedTxomes and shared for computational reproducibility.

## r-bioc-tximeta 1.14.1+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: tximeta
-Version: 1.12.4
+Version: 1.14.1
 Title: Transcript Quantification Import with Automatic Metadata
 Description: Transcript quantification import from Salmon and
     alevin with automatic attachment of transcript ranges and
@@ -22,21 +22,21 @@
         BiocFileCache, AnnotationHub, Biostrings, tibble, GenomeInfoDb,
         tools, utils, methods, Matrix
 Suggests: knitr, rmarkdown, testthat, tximportData, org.Dm.eg.db,
-        DESeq2, edgeR, limma, devtools
+        DESeq2, fishpond, edgeR, limma, devtools
 URL: https://github.com/mikelove/tximeta
 biocViews: Annotation, GenomeAnnotation, DataImport, Preprocessing,
         RNASeq, SingleCell, Transcriptomics, Transcription,
         GeneExpression, FunctionalGenomics, ReproducibleResearch,
         ReportWriting, ImmunoOncology
-RoxygenNote: 7.1.2
+RoxygenNote: 7.2.0
 Encoding: UTF-8
 git_url: https://git.bioconductor.org/packages/tximeta
-git_branch: RELEASE_3_14
-git_last_commit: 78d1a79
-git_last_commit_date: 2021-12-20
-Date/Publication: 2021-12-21
+git_branch: RELEASE_3_15
+git_last_commit: 6e91f08
+git_last_commit_date: 2022-07-16
+Date/Publication: 2022-07-17
 NeedsCompilation: no
-Packaged: 2021-12-21 11:03:48 UTC; biocbuild
+Packaged: 2022-07-17 22:11:40 UTC; biocbuild
 Author: Michael Love [aut, cre],
   Charlotte Soneson [aut, ctb],
   Peter Hickey [aut, ctb],

=== debian/changelog ===
r-bioc-tximeta (1.14.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 20 Jul 2022 16:47:38 +0200

r-bioc-tximeta (1.14.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Skip test which needs a non-existing file

 -- Nilesh Patra <nilesh@debian.org>  Sat, 21 May 2022 10:02:37 +0530

r-bioc-tximeta (1.14.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.14.0+dfsg
  * Bump Standards-Version to 4.6.1 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Tue, 17 May 2022 11:18:25 +0530

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,13 @@
 Source: r-bioc-tximeta
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Nilesh Patra <nilesh@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-tximeta
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-tximeta.git
+Homepage: https://bioconductor.org/packages/tximeta/
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
@@ -22,11 +26,7 @@
                r-cran-tibble,
                r-bioc-genomeinfodb,
                r-cran-matrix
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-tximeta
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-tximeta.git
-Homepage: https://bioconductor.org/packages/tximeta/
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-tximeta
 Architecture: all

## r-bioc-tximeta 1.16.1+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: tximeta
-Version: 1.14.1
+Version: 1.16.1
 Title: Transcript Quantification Import with Automatic Metadata
 Description: Transcript quantification import from Salmon and
     alevin with automatic attachment of transcript ranges and
@@ -28,15 +28,15 @@
         RNASeq, SingleCell, Transcriptomics, Transcription,
         GeneExpression, FunctionalGenomics, ReproducibleResearch,
         ReportWriting, ImmunoOncology
-RoxygenNote: 7.2.0
+RoxygenNote: 7.2.1
 Encoding: UTF-8
 git_url: https://git.bioconductor.org/packages/tximeta
-git_branch: RELEASE_3_15
-git_last_commit: 6e91f08
-git_last_commit_date: 2022-07-16
-Date/Publication: 2022-07-17
+git_branch: RELEASE_3_16
+git_last_commit: 2072392
+git_last_commit_date: 2023-02-12
+Date/Publication: 2023-02-13
 NeedsCompilation: no
-Packaged: 2022-07-17 22:11:40 UTC; biocbuild
+Packaged: 2023-02-13 23:15:39 UTC; biocbuild
 Author: Michael Love [aut, cre],
   Charlotte Soneson [aut, ctb],
   Peter Hickey [aut, ctb],

=== debian/changelog ===
r-bioc-tximeta (1.16.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 20 Feb 2023 13:32:09 +0100

r-bioc-tximeta (1.16.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Reduce piuparts noise in transitions (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 22 Nov 2022 07:37:20 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-tximeta
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-tximeta.git
 Homepage: https://bioconductor.org/packages/tximeta/
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-bioc-tximeta 1.18.1+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: tximeta
-Version: 1.16.1
+Version: 1.18.1
 Title: Transcript Quantification Import with Automatic Metadata
 Description: Transcript quantification import from Salmon and
     alevin with automatic attachment of transcript ranges and
@@ -31,12 +31,12 @@
 RoxygenNote: 7.2.1
 Encoding: UTF-8
 git_url: https://git.bioconductor.org/packages/tximeta
-git_branch: RELEASE_3_16
-git_last_commit: 2072392
-git_last_commit_date: 2023-02-12
-Date/Publication: 2023-02-13
+git_branch: RELEASE_3_17
+git_last_commit: 56387a9
+git_last_commit_date: 2023-07-18
+Date/Publication: 2023-07-18
 NeedsCompilation: no
-Packaged: 2023-02-13 23:15:39 UTC; biocbuild
+Packaged: 2023-07-18 22:48:32 UTC; biocbuild
 Author: Michael Love [aut, cre],
   Charlotte Soneson [aut, ctb],
   Peter Hickey [aut, ctb],

=== debian/changelog ===
r-bioc-tximeta (1.18.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 27 Jul 2023 22:01:30 +0200

=== debian/watch ===
version=4
opts=\
repack,compression=xz,\
repacksuffix=+dfsg,\
dversionmangle=auto,\
downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc? \
https://bioconductor.org/packages/release/bioc/html/tximeta.html .*/tximeta_(.*).tar.gz

## r-bioc-tximeta 1.20.3+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Package: tximeta
-Version: 1.18.1
+Version: 1.20.3
 Title: Transcript Quantification Import with Automatic Metadata
 Description: Transcript quantification import from Salmon and
-    alevin with automatic attachment of transcript ranges and
-    release information, and other associated metadata. De novo
+    other quantifiers with automatic attachment of transcript ranges
+    and release information, and other associated metadata. De novo
     transcriptomes can be linked to the appropriate sources with
     linkedTxomes and shared for computational reproducibility.
 Authors@R: c(
@@ -23,20 +23,21 @@
         tools, utils, methods, Matrix
 Suggests: knitr, rmarkdown, testthat, tximportData, org.Dm.eg.db,
         DESeq2, fishpond, edgeR, limma, devtools
-URL: https://github.com/mikelove/tximeta
+URL: https://github.com/thelovelab/tximeta
 biocViews: Annotation, GenomeAnnotation, DataImport, Preprocessing,
         RNASeq, SingleCell, Transcriptomics, Transcription,
         GeneExpression, FunctionalGenomics, ReproducibleResearch,
         ReportWriting, ImmunoOncology
-RoxygenNote: 7.2.1
+RoxygenNote: 7.2.3
 Encoding: UTF-8
 git_url: https://git.bioconductor.org/packages/tximeta
-git_branch: RELEASE_3_17
-git_last_commit: 56387a9
-git_last_commit_date: 2023-07-18
-Date/Publication: 2023-07-18
+git_branch: RELEASE_3_18
+git_last_commit: 4b7dc4d
+git_last_commit_date: 2024-01-28
+Repository: Bioconductor 3.18
+Date/Publication: 2024-01-29
 NeedsCompilation: no
-Packaged: 2023-07-18 22:48:32 UTC; biocbuild
+Packaged: 2024-01-30 00:42:15 UTC; biocbuild
 Author: Michael Love [aut, cre],
   Charlotte Soneson [aut, ctb],
   Peter Hickey [aut, ctb],

=== debian/changelog ===
r-bioc-tximeta (1.20.3+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 05 Feb 2024 10:00:53 +0100

r-bioc-tximeta (1.20.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 17 Jan 2024 11:12:52 +0100

r-bioc-tximeta (1.20.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Set upstream metadata fields: Archive.

 -- Andreas Tille <tille@debian.org>  Fri, 01 Dec 2023 16:59:06 +0100

r-bioc-tximeta (1.18.3+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Wed, 20 Sep 2023 11:22:34 +0200

## r-bioc-tximeta 1.22.1+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: tximeta
-Version: 1.20.3
+Version: 1.22.1
 Title: Transcript Quantification Import with Automatic Metadata
 Description: Transcript quantification import from Salmon and
     other quantifiers with automatic attachment of transcript ranges
@@ -18,9 +18,9 @@
 License: GPL-2
 VignetteBuilder: knitr
 Imports: SummarizedExperiment, tximport, jsonlite, S4Vectors, IRanges,
-        GenomicRanges, AnnotationDbi, GenomicFeatures, ensembldb,
-        BiocFileCache, AnnotationHub, Biostrings, tibble, GenomeInfoDb,
-        tools, utils, methods, Matrix
+        GenomicRanges, AnnotationDbi, GenomicFeatures, txdbmaker,
+        ensembldb, BiocFileCache, AnnotationHub, Biostrings, tibble,
+        GenomeInfoDb, tools, utils, methods, Matrix
 Suggests: knitr, rmarkdown, testthat, tximportData, org.Dm.eg.db,
         DESeq2, fishpond, edgeR, limma, devtools
 URL: https://github.com/thelovelab/tximeta
@@ -28,16 +28,16 @@
         RNASeq, SingleCell, Transcriptomics, Transcription,
         GeneExpression, FunctionalGenomics, ReproducibleResearch,
         ReportWriting, ImmunoOncology
-RoxygenNote: 7.2.3
+RoxygenNote: 7.3.1
 Encoding: UTF-8
 git_url: https://git.bioconductor.org/packages/tximeta
-git_branch: RELEASE_3_18
-git_last_commit: 4b7dc4d
-git_last_commit_date: 2024-01-28
-Repository: Bioconductor 3.18
-Date/Publication: 2024-01-29
+git_branch: RELEASE_3_19
+git_last_commit: d63e297
+git_last_commit_date: 2024-05-14
+Repository: Bioconductor 3.19
+Date/Publication: 2024-05-14
 NeedsCompilation: no
-Packaged: 2024-01-30 00:42:15 UTC; biocbuild
+Packaged: 2024-05-14 23:47:24 UTC; biocbuild
 Author: Michael Love [aut, cre],
   Charlotte Soneson [aut, ctb],
   Peter Hickey [aut, ctb],

=== debian/changelog ===
r-bioc-tximeta (1.22.1+dfsg-1) unstable; urgency=medium

  * Upload to unstable:

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 18 Aug 2024 12:46:20 +0200

r-bioc-tximeta (1.22.1+dfsg-1~0exp1) experimental; urgency=medium

  * d/{,tests/}control: bump minimum versions of r-bioc-* packages to
    bioc-3.19+ versions
  * d/control: add myself as an uploader. Thanks again to Nilesh!

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 23 Jul 2024 15:23:16 +0200

r-bioc-tximeta (1.22.1+dfsg-1~0exp) experimental; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * Drop Nilesh from Uploaders as requested (Thanks for all your work, Nilesh)
  * Exclude i386 build from CI test

  [ Michael R. Crusoe ]
  * New upstream version
  * d/tests/autopkgtest-pkg-r.conf: skip on 32-bit architectures.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 10 Jul 2024 09:40:00 +0200

=== debian/control ===
Source: r-bioc-tximeta
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Michael R. Crusoe <crusoe@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-tximeta
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-tximeta.git
Homepage: https://bioconductor.org/packages/tximeta/
Standards-Version: 4.6.2
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-summarizedexperiment (>= 1.34.0),
               r-bioc-tximport (>= 1.32.0),
               r-cran-jsonlite,
               r-bioc-s4vectors (>= 0.42.1),
               r-bioc-iranges (>= 2.38.1),
               r-bioc-genomicranges (>= 1.56.1),
               r-bioc-annotationdbi (>= 1.66.0),
               r-bioc-genomicfeatures (>= 1.56.0),
               r-bioc-txdbmaker,
               r-bioc-ensembldb (>= 2.28.0),
               r-bioc-biocfilecache (>= 2.12.0),
               r-bioc-annotationhub (>= 3.12.0),
               r-bioc-biostrings (>= 2.72.1),
               r-cran-tibble,
               r-bioc-genomeinfodb (>= 1.40.1),
               r-cran-matrix
Testsuite: autopkgtest-pkg-r

Package: r-bioc-tximeta
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends},
         r-bioc-summarizedexperiment (>= 1.34.0),
         r-bioc-tximport (>= 1.32.0),
         r-bioc-s4vectors (>= 0.42.1),
         r-bioc-iranges (>= 2.38.1),
         r-bioc-genomicranges (>= 1.56.1),
         r-bioc-annotationdbi (>= 1.66.0),
         r-bioc-genomicfeatures (>= 1.56.0),
         r-bioc-ensembldb (>= 2.28.0),
         r-bioc-biocfilecache (>= 2.12.0),
         r-bioc-annotationhub (>= 3.12.0),
         r-bioc-biostrings (>= 2.72.1),
         r-bioc-genomeinfodb (>= 1.40.1)
Recommends: ${R:Recommends}
Suggests: ${R:Suggests},
          r-bioc-tximportdata (>= 1.32.0),
          r-bioc-deseq2 (>= 1.44.0),
          r-bioc-fishpond (>= 2.10.0),
          r-bioc-edger (>= 4.2.0),
          r-bioc-limma (>= 3.60.3)
Description: Transcript Quantification Import with Automatic Metadata
 Transcript quantification import from Salmon and
 alevin with automatic attachment of transcript ranges and
 release information, and other associated metadata. De novo
 transcriptomes can be linked to the appropriate sources with
 linkedTxomes and shared for computational reproducibility.

## r-bioc-tximeta 1.24.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: tximeta
-Version: 1.22.1
+Version: 1.24.0
 Title: Transcript Quantification Import with Automatic Metadata
 Description: Transcript quantification import from Salmon and
     other quantifiers with automatic attachment of transcript ranges
@@ -28,16 +28,16 @@
         RNASeq, SingleCell, Transcriptomics, Transcription,
         GeneExpression, FunctionalGenomics, ReproducibleResearch,
         ReportWriting, ImmunoOncology
-RoxygenNote: 7.3.1
+RoxygenNote: 7.3.2
 Encoding: UTF-8
 git_url: https://git.bioconductor.org/packages/tximeta
-git_branch: RELEASE_3_19
-git_last_commit: d63e297
-git_last_commit_date: 2024-05-14
-Repository: Bioconductor 3.19
-Date/Publication: 2024-05-14
+git_branch: RELEASE_3_20
+git_last_commit: 9a98a8d
+git_last_commit_date: 2024-10-29
+Repository: Bioconductor 3.20
+Date/Publication: 2024-10-29
 NeedsCompilation: no
-Packaged: 2024-05-14 23:47:24 UTC; biocbuild
+Packaged: 2024-10-30 03:20:20 UTC; biocbuild
 Author: Michael Love [aut, cre],
   Charlotte Soneson [aut, ctb],
   Peter Hickey [aut, ctb],

=== debian/changelog ===
r-bioc-tximeta (1.24.0+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 14 Jan 2025 09:11:40 +0100

r-bioc-tximeta (1.24.0+dfsg-1) experimental; urgency=medium

  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 30 Nov 2024 23:55:33 +0100

=== debian/control ===
Source: r-bioc-tximeta
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Michael R. Crusoe <crusoe@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-tximeta
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-tximeta.git
Homepage: https://bioconductor.org/packages/tximeta/
Standards-Version: 4.7.0
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-summarizedexperiment,
               r-bioc-tximport,
               r-cran-jsonlite,
               r-bioc-s4vectors,
               r-bioc-iranges,
               r-bioc-genomicranges,
               r-bioc-annotationdbi,
               r-bioc-genomicfeatures,
               r-bioc-txdbmaker,
               r-bioc-ensembldb,
               r-bioc-biocfilecache,
               r-bioc-annotationhub,
               r-bioc-biostrings,
               r-cran-tibble,
               r-bioc-genomeinfodb,
               r-cran-matrix
Testsuite: autopkgtest-pkg-r

Package: r-bioc-tximeta
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Transcript Quantification Import with Automatic Metadata
 Transcript quantification import from Salmon and
 alevin with automatic attachment of transcript ranges and
 release information, and other associated metadata. De novo
 transcriptomes can be linked to the appropriate sources with
 linkedTxomes and shared for computational reproducibility.
